curl --request POST \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"name": "Вино \"🍷The Box\"",
"price_buy": 50000,
"price_sell": 0,
"description": "В нём живёт свет первых встреч. Тёплый, как смех, что согревал пустые комнаты.",
"quantity": 1000,
"can_use": false,
"can_sell": false
}
}
'{
"success": true,
"item": "Вино \"🍷The Box\"",
"price_buy": 50000,
"price_sell": 0,
"quantity": 1000,
"can_use": false,
"can_sell": false
}Economy API POST Endpoints
Store Operations
Manage store items and buying/selling.
Available actions:
addItem- add item to store (requires item with name, price_buy, …).removeItem- remove item from store (requires itemName).buy- buy item from store (requires userId, itemName, quantity).sellToStore- sell item to store (requires userId, itemName, quantity).
POST
/
moscowroleplay
/
civops
/
store
curl --request POST \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/store \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": {
"name": "Вино \"🍷The Box\"",
"price_buy": 50000,
"price_sell": 0,
"description": "В нём живёт свет первых встреч. Тёплый, как смех, что согревал пустые комнаты.",
"quantity": 1000,
"can_use": false,
"can_sell": false
}
}
'{
"success": true,
"item": "Вино \"🍷The Box\"",
"price_buy": 50000,
"price_sell": 0,
"quantity": 1000,
"can_use": false,
"can_sell": false
}Authorizations
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Query Parameters
Operation type.
Available options:
addItem, removeItem, buy, sellToStore Body
application/json
The body is of type object.
Response
Operation successfully completed.
The response is of type object.
Was this page helpful?